Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Prefix/20
Addresses2^108
/64 networks2^44
Network
fc0c:e000::/20
First address
fc0c:e000::
Last address
fc0c:efff:ffff:ffff:ffff:ffff:ffff:ffff
Addresses
324,518,553,658,426,726,783,156,020,576,256 (2^108)
/64 networks (LANs)
17,592,186,044,416 (2^44)
Full form
fc0c:e000:0000:0000:0000:0000:0000:0000
Type
Unique local (ULA) fc00::/7
Private IPv6, like RFC 1918; usually fd00::/8
Reverse DNS zone
e.c.0.c.f.ip6.arpa
Split into smaller subnets/36

fc0c:e000::/20 makes 65,536 subnets of /36; the first 256 are listed.

Subnets
#SubnetLast address
1fc0c:e000::/36fc0c:e000:fff:ffff:ffff:ffff:ffff:ffff
2fc0c:e000:1000::/36fc0c:e000:1fff:ffff:ffff:ffff:ffff:ffff
3fc0c:e000:2000::/36fc0c:e000:2fff:ffff:ffff:ffff:ffff:ffff
4fc0c:e000:3000::/36fc0c:e000:3fff:ffff:ffff:ffff:ffff:ffff
5fc0c:e000:4000::/36fc0c:e000:4fff:ffff:ffff:ffff:ffff:ffff
6fc0c:e000:5000::/36fc0c:e000:5fff:ffff:ffff:ffff:ffff:ffff
7fc0c:e000:6000::/36fc0c:e000:6fff:ffff:ffff:ffff:ffff:ffff
8fc0c:e000:7000::/36fc0c:e000:7fff:ffff:ffff:ffff:ffff:ffff
9fc0c:e000:8000::/36fc0c:e000:8fff:ffff:ffff:ffff:ffff:ffff
10fc0c:e000:9000::/36fc0c:e000:9fff:ffff:ffff:ffff:ffff:ffff
11fc0c:e000:a000::/36fc0c:e000:afff:ffff:ffff:ffff:ffff:ffff
12fc0c:e000:b000::/36fc0c:e000:bfff:ffff:ffff:ffff:ffff:ffff
13fc0c:e000:c000::/36fc0c:e000:cfff:ffff:ffff:ffff:ffff:ffff
14fc0c:e000:d000::/36fc0c:e000:dfff:ffff:ffff:ffff:ffff:ffff
15fc0c:e000:e000::/36fc0c:e000:efff:ffff:ffff:ffff:ffff:ffff
16fc0c:e000:f000::/36fc0c:e000:ffff:ffff:ffff:ffff:ffff:ffff
17fc0c:e001::/36fc0c:e001:fff:ffff:ffff:ffff:ffff:ffff
18fc0c:e001:1000::/36fc0c:e001:1fff:ffff:ffff:ffff:ffff:ffff
19fc0c:e001:2000::/36fc0c:e001:2fff:ffff:ffff:ffff:ffff:ffff
20fc0c:e001:3000::/36fc0c:e001:3fff:ffff:ffff:ffff:ffff:ffff
21fc0c:e001:4000::/36fc0c:e001:4fff:ffff:ffff:ffff:ffff:ffff
22fc0c:e001:5000::/36fc0c:e001:5fff:ffff:ffff:ffff:ffff:ffff
23fc0c:e001:6000::/36fc0c:e001:6fff:ffff:ffff:ffff:ffff:ffff
24fc0c:e001:7000::/36fc0c:e001:7fff:ffff:ffff:ffff:ffff:ffff
25fc0c:e001:8000::/36fc0c:e001:8fff:ffff:ffff:ffff:ffff:ffff
26fc0c:e001:9000::/36fc0c:e001:9fff:ffff:ffff:ffff:ffff:ffff
27fc0c:e001:a000::/36fc0c:e001:afff:ffff:ffff:ffff:ffff:ffff
28fc0c:e001:b000::/36fc0c:e001:bfff:ffff:ffff:ffff:ffff:ffff
29fc0c:e001:c000::/36fc0c:e001:cfff:ffff:ffff:ffff:ffff:ffff
30fc0c:e001:d000::/36fc0c:e001:dfff:ffff:ffff:ffff:ffff:ffff
31fc0c:e001:e000::/36fc0c:e001:efff:ffff:ffff:ffff:ffff:ffff
32fc0c:e001:f000::/36fc0c:e001:ffff:ffff:ffff:ffff:ffff:ffff
33fc0c:e002::/36fc0c:e002:fff:ffff:ffff:ffff:ffff:ffff
34fc0c:e002:1000::/36fc0c:e002:1fff:ffff:ffff:ffff:ffff:ffff
35fc0c:e002:2000::/36fc0c:e002:2fff:ffff:ffff:ffff:ffff:ffff
36fc0c:e002:3000::/36fc0c:e002:3fff:ffff:ffff:ffff:ffff:ffff
37fc0c:e002:4000::/36fc0c:e002:4fff:ffff:ffff:ffff:ffff:ffff
38fc0c:e002:5000::/36fc0c:e002:5fff:ffff:ffff:ffff:ffff:ffff
39fc0c:e002:6000::/36fc0c:e002:6fff:ffff:ffff:ffff:ffff:ffff
40fc0c:e002:7000::/36fc0c:e002:7fff:ffff:ffff:ffff:ffff:ffff
41fc0c:e002:8000::/36fc0c:e002:8fff:ffff:ffff:ffff:ffff:ffff
42fc0c:e002:9000::/36fc0c:e002:9fff:ffff:ffff:ffff:ffff:ffff
43fc0c:e002:a000::/36fc0c:e002:afff:ffff:ffff:ffff:ffff:ffff
44fc0c:e002:b000::/36fc0c:e002:bfff:ffff:ffff:ffff:ffff:ffff
45fc0c:e002:c000::/36fc0c:e002:cfff:ffff:ffff:ffff:ffff:ffff
46fc0c:e002:d000::/36fc0c:e002:dfff:ffff:ffff:ffff:ffff:ffff
47fc0c:e002:e000::/36fc0c:e002:efff:ffff:ffff:ffff:ffff:ffff
48fc0c:e002:f000::/36fc0c:e002:ffff:ffff:ffff:ffff:ffff:ffff
49fc0c:e003::/36fc0c:e003:fff:ffff:ffff:ffff:ffff:ffff
50fc0c:e003:1000::/36fc0c:e003:1fff:ffff:ffff:ffff:ffff:ffff
51fc0c:e003:2000::/36fc0c:e003:2fff:ffff:ffff:ffff:ffff:ffff
52fc0c:e003:3000::/36fc0c:e003:3fff:ffff:ffff:ffff:ffff:ffff
53fc0c:e003:4000::/36fc0c:e003:4fff:ffff:ffff:ffff:ffff:ffff
54fc0c:e003:5000::/36fc0c:e003:5fff:ffff:ffff:ffff:ffff:ffff
55fc0c:e003:6000::/36fc0c:e003:6fff:ffff:ffff:ffff:ffff:ffff
56fc0c:e003:7000::/36fc0c:e003:7fff:ffff:ffff:ffff:ffff:ffff
57fc0c:e003:8000::/36fc0c:e003:8fff:ffff:ffff:ffff:ffff:ffff
58fc0c:e003:9000::/36fc0c:e003:9fff:ffff:ffff:ffff:ffff:ffff
59fc0c:e003:a000::/36fc0c:e003:afff:ffff:ffff:ffff:ffff:ffff
60fc0c:e003:b000::/36fc0c:e003:bfff:ffff:ffff:ffff:ffff:ffff
61fc0c:e003:c000::/36fc0c:e003:cfff:ffff:ffff:ffff:ffff:ffff
62fc0c:e003:d000::/36fc0c:e003:dfff:ffff:ffff:ffff:ffff:ffff
63fc0c:e003:e000::/36fc0c:e003:efff:ffff:ffff:ffff:ffff:ffff
64fc0c:e003:f000::/36fc0c:e003:ffff:ffff:ffff:ffff:ffff:ffff
65fc0c:e004::/36fc0c:e004:fff:ffff:ffff:ffff:ffff:ffff
66fc0c:e004:1000::/36fc0c:e004:1fff:ffff:ffff:ffff:ffff:ffff
67fc0c:e004:2000::/36fc0c:e004:2fff:ffff:ffff:ffff:ffff:ffff
68fc0c:e004:3000::/36fc0c:e004:3fff:ffff:ffff:ffff:ffff:ffff
69fc0c:e004:4000::/36fc0c:e004:4fff:ffff:ffff:ffff:ffff:ffff
70fc0c:e004:5000::/36fc0c:e004:5fff:ffff:ffff:ffff:ffff:ffff
71fc0c:e004:6000::/36fc0c:e004:6fff:ffff:ffff:ffff:ffff:ffff
72fc0c:e004:7000::/36fc0c:e004:7fff:ffff:ffff:ffff:ffff:ffff
73fc0c:e004:8000::/36fc0c:e004:8fff:ffff:ffff:ffff:ffff:ffff
74fc0c:e004:9000::/36fc0c:e004:9fff:ffff:ffff:ffff:ffff:ffff
75fc0c:e004:a000::/36fc0c:e004:afff:ffff:ffff:ffff:ffff:ffff
76fc0c:e004:b000::/36fc0c:e004:bfff:ffff:ffff:ffff:ffff:ffff
77fc0c:e004:c000::/36fc0c:e004:cfff:ffff:ffff:ffff:ffff:ffff
78fc0c:e004:d000::/36fc0c:e004:dfff:ffff:ffff:ffff:ffff:ffff
79fc0c:e004:e000::/36fc0c:e004:efff:ffff:ffff:ffff:ffff:ffff
80fc0c:e004:f000::/36fc0c:e004:ffff:ffff:ffff:ffff:ffff:ffff
81fc0c:e005::/36fc0c:e005:fff:ffff:ffff:ffff:ffff:ffff
82fc0c:e005:1000::/36fc0c:e005:1fff:ffff:ffff:ffff:ffff:ffff
83fc0c:e005:2000::/36fc0c:e005:2fff:ffff:ffff:ffff:ffff:ffff
84fc0c:e005:3000::/36fc0c:e005:3fff:ffff:ffff:ffff:ffff:ffff
85fc0c:e005:4000::/36fc0c:e005:4fff:ffff:ffff:ffff:ffff:ffff
86fc0c:e005:5000::/36fc0c:e005:5fff:ffff:ffff:ffff:ffff:ffff
87fc0c:e005:6000::/36fc0c:e005:6fff:ffff:ffff:ffff:ffff:ffff
88fc0c:e005:7000::/36fc0c:e005:7fff:ffff:ffff:ffff:ffff:ffff
89fc0c:e005:8000::/36fc0c:e005:8fff:ffff:ffff:ffff:ffff:ffff
90fc0c:e005:9000::/36fc0c:e005:9fff:ffff:ffff:ffff:ffff:ffff
91fc0c:e005:a000::/36fc0c:e005:afff:ffff:ffff:ffff:ffff:ffff
92fc0c:e005:b000::/36fc0c:e005:bfff:ffff:ffff:ffff:ffff:ffff
93fc0c:e005:c000::/36fc0c:e005:cfff:ffff:ffff:ffff:ffff:ffff
94fc0c:e005:d000::/36fc0c:e005:dfff:ffff:ffff:ffff:ffff:ffff
95fc0c:e005:e000::/36fc0c:e005:efff:ffff:ffff:ffff:ffff:ffff
96fc0c:e005:f000::/36fc0c:e005:ffff:ffff:ffff:ffff:ffff:ffff
97fc0c:e006::/36fc0c:e006:fff:ffff:ffff:ffff:ffff:ffff
98fc0c:e006:1000::/36fc0c:e006:1fff:ffff:ffff:ffff:ffff:ffff
99fc0c:e006:2000::/36fc0c:e006:2fff:ffff:ffff:ffff:ffff:ffff
100fc0c:e006:3000::/36fc0c:e006:3fff:ffff:ffff:ffff:ffff:ffff
101fc0c:e006:4000::/36fc0c:e006:4fff:ffff:ffff:ffff:ffff:ffff
102fc0c:e006:5000::/36fc0c:e006:5fff:ffff:ffff:ffff:ffff:ffff
103fc0c:e006:6000::/36fc0c:e006:6fff:ffff:ffff:ffff:ffff:ffff
104fc0c:e006:7000::/36fc0c:e006:7fff:ffff:ffff:ffff:ffff:ffff
105fc0c:e006:8000::/36fc0c:e006:8fff:ffff:ffff:ffff:ffff:ffff
106fc0c:e006:9000::/36fc0c:e006:9fff:ffff:ffff:ffff:ffff:ffff
107fc0c:e006:a000::/36fc0c:e006:afff:ffff:ffff:ffff:ffff:ffff
108fc0c:e006:b000::/36fc0c:e006:bfff:ffff:ffff:ffff:ffff:ffff
109fc0c:e006:c000::/36fc0c:e006:cfff:ffff:ffff:ffff:ffff:ffff
110fc0c:e006:d000::/36fc0c:e006:dfff:ffff:ffff:ffff:ffff:ffff
111fc0c:e006:e000::/36fc0c:e006:efff:ffff:ffff:ffff:ffff:ffff
112fc0c:e006:f000::/36fc0c:e006:ffff:ffff:ffff:ffff:ffff:ffff
113fc0c:e007::/36fc0c:e007:fff:ffff:ffff:ffff:ffff:ffff
114fc0c:e007:1000::/36fc0c:e007:1fff:ffff:ffff:ffff:ffff:ffff
115fc0c:e007:2000::/36fc0c:e007:2fff:ffff:ffff:ffff:ffff:ffff
116fc0c:e007:3000::/36fc0c:e007:3fff:ffff:ffff:ffff:ffff:ffff
117fc0c:e007:4000::/36fc0c:e007:4fff:ffff:ffff:ffff:ffff:ffff
118fc0c:e007:5000::/36fc0c:e007:5fff:ffff:ffff:ffff:ffff:ffff
119fc0c:e007:6000::/36fc0c:e007:6fff:ffff:ffff:ffff:ffff:ffff
120fc0c:e007:7000::/36fc0c:e007:7fff:ffff:ffff:ffff:ffff:ffff
121fc0c:e007:8000::/36fc0c:e007:8fff:ffff:ffff:ffff:ffff:ffff
122fc0c:e007:9000::/36fc0c:e007:9fff:ffff:ffff:ffff:ffff:ffff
123fc0c:e007:a000::/36fc0c:e007:afff:ffff:ffff:ffff:ffff:ffff
124fc0c:e007:b000::/36fc0c:e007:bfff:ffff:ffff:ffff:ffff:ffff
125fc0c:e007:c000::/36fc0c:e007:cfff:ffff:ffff:ffff:ffff:ffff
126fc0c:e007:d000::/36fc0c:e007:dfff:ffff:ffff:ffff:ffff:ffff
127fc0c:e007:e000::/36fc0c:e007:efff:ffff:ffff:ffff:ffff:ffff
128fc0c:e007:f000::/36fc0c:e007:ffff:ffff:ffff:ffff:ffff:ffff
129fc0c:e008::/36fc0c:e008:fff:ffff:ffff:ffff:ffff:ffff
130fc0c:e008:1000::/36fc0c:e008:1fff:ffff:ffff:ffff:ffff:ffff
131fc0c:e008:2000::/36fc0c:e008:2fff:ffff:ffff:ffff:ffff:ffff
132fc0c:e008:3000::/36fc0c:e008:3fff:ffff:ffff:ffff:ffff:ffff
133fc0c:e008:4000::/36fc0c:e008:4fff:ffff:ffff:ffff:ffff:ffff
134fc0c:e008:5000::/36fc0c:e008:5fff:ffff:ffff:ffff:ffff:ffff
135fc0c:e008:6000::/36fc0c:e008:6fff:ffff:ffff:ffff:ffff:ffff
136fc0c:e008:7000::/36fc0c:e008:7fff:ffff:ffff:ffff:ffff:ffff
137fc0c:e008:8000::/36fc0c:e008:8fff:ffff:ffff:ffff:ffff:ffff
138fc0c:e008:9000::/36fc0c:e008:9fff:ffff:ffff:ffff:ffff:ffff
139fc0c:e008:a000::/36fc0c:e008:afff:ffff:ffff:ffff:ffff:ffff
140fc0c:e008:b000::/36fc0c:e008:bfff:ffff:ffff:ffff:ffff:ffff
141fc0c:e008:c000::/36fc0c:e008:cfff:ffff:ffff:ffff:ffff:ffff
142fc0c:e008:d000::/36fc0c:e008:dfff:ffff:ffff:ffff:ffff:ffff
143fc0c:e008:e000::/36fc0c:e008:efff:ffff:ffff:ffff:ffff:ffff
144fc0c:e008:f000::/36fc0c:e008:ffff:ffff:ffff:ffff:ffff:ffff
145fc0c:e009::/36fc0c:e009:fff:ffff:ffff:ffff:ffff:ffff
146fc0c:e009:1000::/36fc0c:e009:1fff:ffff:ffff:ffff:ffff:ffff
147fc0c:e009:2000::/36fc0c:e009:2fff:ffff:ffff:ffff:ffff:ffff
148fc0c:e009:3000::/36fc0c:e009:3fff:ffff:ffff:ffff:ffff:ffff
149fc0c:e009:4000::/36fc0c:e009:4fff:ffff:ffff:ffff:ffff:ffff
150fc0c:e009:5000::/36fc0c:e009:5fff:ffff:ffff:ffff:ffff:ffff
151fc0c:e009:6000::/36fc0c:e009:6fff:ffff:ffff:ffff:ffff:ffff
152fc0c:e009:7000::/36fc0c:e009:7fff:ffff:ffff:ffff:ffff:ffff
153fc0c:e009:8000::/36fc0c:e009:8fff:ffff:ffff:ffff:ffff:ffff
154fc0c:e009:9000::/36fc0c:e009:9fff:ffff:ffff:ffff:ffff:ffff
155fc0c:e009:a000::/36fc0c:e009:afff:ffff:ffff:ffff:ffff:ffff
156fc0c:e009:b000::/36fc0c:e009:bfff:ffff:ffff:ffff:ffff:ffff
157fc0c:e009:c000::/36fc0c:e009:cfff:ffff:ffff:ffff:ffff:ffff
158fc0c:e009:d000::/36fc0c:e009:dfff:ffff:ffff:ffff:ffff:ffff
159fc0c:e009:e000::/36fc0c:e009:efff:ffff:ffff:ffff:ffff:ffff
160fc0c:e009:f000::/36fc0c:e009:ffff:ffff:ffff:ffff:ffff:ffff
161fc0c:e00a::/36fc0c:e00a:fff:ffff:ffff:ffff:ffff:ffff
162fc0c:e00a:1000::/36fc0c:e00a:1fff:ffff:ffff:ffff:ffff:ffff
163fc0c:e00a:2000::/36fc0c:e00a:2fff:ffff:ffff:ffff:ffff:ffff
164fc0c:e00a:3000::/36fc0c:e00a:3fff:ffff:ffff:ffff:ffff:ffff
165fc0c:e00a:4000::/36fc0c:e00a:4fff:ffff:ffff:ffff:ffff:ffff
166fc0c:e00a:5000::/36fc0c:e00a:5fff:ffff:ffff:ffff:ffff:ffff
167fc0c:e00a:6000::/36fc0c:e00a:6fff:ffff:ffff:ffff:ffff:ffff
168fc0c:e00a:7000::/36fc0c:e00a:7fff:ffff:ffff:ffff:ffff:ffff
169fc0c:e00a:8000::/36fc0c:e00a:8fff:ffff:ffff:ffff:ffff:ffff
170fc0c:e00a:9000::/36fc0c:e00a:9fff:ffff:ffff:ffff:ffff:ffff
171fc0c:e00a:a000::/36fc0c:e00a:afff:ffff:ffff:ffff:ffff:ffff
172fc0c:e00a:b000::/36fc0c:e00a:bfff:ffff:ffff:ffff:ffff:ffff
173fc0c:e00a:c000::/36fc0c:e00a:cfff:ffff:ffff:ffff:ffff:ffff
174fc0c:e00a:d000::/36fc0c:e00a:dfff:ffff:ffff:ffff:ffff:ffff
175fc0c:e00a:e000::/36fc0c:e00a:efff:ffff:ffff:ffff:ffff:ffff
176fc0c:e00a:f000::/36fc0c:e00a:ffff:ffff:ffff:ffff:ffff:ffff
177fc0c:e00b::/36fc0c:e00b:fff:ffff:ffff:ffff:ffff:ffff
178fc0c:e00b:1000::/36fc0c:e00b:1fff:ffff:ffff:ffff:ffff:ffff
179fc0c:e00b:2000::/36fc0c:e00b:2fff:ffff:ffff:ffff:ffff:ffff
180fc0c:e00b:3000::/36fc0c:e00b:3fff:ffff:ffff:ffff:ffff:ffff
181fc0c:e00b:4000::/36fc0c:e00b:4fff:ffff:ffff:ffff:ffff:ffff
182fc0c:e00b:5000::/36fc0c:e00b:5fff:ffff:ffff:ffff:ffff:ffff
183fc0c:e00b:6000::/36fc0c:e00b:6fff:ffff:ffff:ffff:ffff:ffff
184fc0c:e00b:7000::/36fc0c:e00b:7fff:ffff:ffff:ffff:ffff:ffff
185fc0c:e00b:8000::/36fc0c:e00b:8fff:ffff:ffff:ffff:ffff:ffff
186fc0c:e00b:9000::/36fc0c:e00b:9fff:ffff:ffff:ffff:ffff:ffff
187fc0c:e00b:a000::/36fc0c:e00b:afff:ffff:ffff:ffff:ffff:ffff
188fc0c:e00b:b000::/36fc0c:e00b:bfff:ffff:ffff:ffff:ffff:ffff
189fc0c:e00b:c000::/36fc0c:e00b:cfff:ffff:ffff:ffff:ffff:ffff
190fc0c:e00b:d000::/36fc0c:e00b:dfff:ffff:ffff:ffff:ffff:ffff
191fc0c:e00b:e000::/36fc0c:e00b:efff:ffff:ffff:ffff:ffff:ffff
192fc0c:e00b:f000::/36fc0c:e00b:ffff:ffff:ffff:ffff:ffff:ffff
193fc0c:e00c::/36fc0c:e00c:fff:ffff:ffff:ffff:ffff:ffff
194fc0c:e00c:1000::/36fc0c:e00c:1fff:ffff:ffff:ffff:ffff:ffff
195fc0c:e00c:2000::/36fc0c:e00c:2fff:ffff:ffff:ffff:ffff:ffff
196fc0c:e00c:3000::/36fc0c:e00c:3fff:ffff:ffff:ffff:ffff:ffff
197fc0c:e00c:4000::/36fc0c:e00c:4fff:ffff:ffff:ffff:ffff:ffff
198fc0c:e00c:5000::/36fc0c:e00c:5fff:ffff:ffff:ffff:ffff:ffff
199fc0c:e00c:6000::/36fc0c:e00c:6fff:ffff:ffff:ffff:ffff:ffff
200fc0c:e00c:7000::/36fc0c:e00c:7fff:ffff:ffff:ffff:ffff:ffff
201fc0c:e00c:8000::/36fc0c:e00c:8fff:ffff:ffff:ffff:ffff:ffff
202fc0c:e00c:9000::/36fc0c:e00c:9fff:ffff:ffff:ffff:ffff:ffff
203fc0c:e00c:a000::/36fc0c:e00c:afff:ffff:ffff:ffff:ffff:ffff
204fc0c:e00c:b000::/36fc0c:e00c:bfff:ffff:ffff:ffff:ffff:ffff
205fc0c:e00c:c000::/36fc0c:e00c:cfff:ffff:ffff:ffff:ffff:ffff
206fc0c:e00c:d000::/36fc0c:e00c:dfff:ffff:ffff:ffff:ffff:ffff
207fc0c:e00c:e000::/36fc0c:e00c:efff:ffff:ffff:ffff:ffff:ffff
208fc0c:e00c:f000::/36fc0c:e00c:ffff:ffff:ffff:ffff:ffff:ffff
209fc0c:e00d::/36fc0c:e00d:fff:ffff:ffff:ffff:ffff:ffff
210fc0c:e00d:1000::/36fc0c:e00d:1fff:ffff:ffff:ffff:ffff:ffff
211fc0c:e00d:2000::/36fc0c:e00d:2fff:ffff:ffff:ffff:ffff:ffff
212fc0c:e00d:3000::/36fc0c:e00d:3fff:ffff:ffff:ffff:ffff:ffff
213fc0c:e00d:4000::/36fc0c:e00d:4fff:ffff:ffff:ffff:ffff:ffff
214fc0c:e00d:5000::/36fc0c:e00d:5fff:ffff:ffff:ffff:ffff:ffff
215fc0c:e00d:6000::/36fc0c:e00d:6fff:ffff:ffff:ffff:ffff:ffff
216fc0c:e00d:7000::/36fc0c:e00d:7fff:ffff:ffff:ffff:ffff:ffff
217fc0c:e00d:8000::/36fc0c:e00d:8fff:ffff:ffff:ffff:ffff:ffff
218fc0c:e00d:9000::/36fc0c:e00d:9fff:ffff:ffff:ffff:ffff:ffff
219fc0c:e00d:a000::/36fc0c:e00d:afff:ffff:ffff:ffff:ffff:ffff
220fc0c:e00d:b000::/36fc0c:e00d:bfff:ffff:ffff:ffff:ffff:ffff
221fc0c:e00d:c000::/36fc0c:e00d:cfff:ffff:ffff:ffff:ffff:ffff
222fc0c:e00d:d000::/36fc0c:e00d:dfff:ffff:ffff:ffff:ffff:ffff
223fc0c:e00d:e000::/36fc0c:e00d:efff:ffff:ffff:ffff:ffff:ffff
224fc0c:e00d:f000::/36fc0c:e00d:ffff:ffff:ffff:ffff:ffff:ffff
225fc0c:e00e::/36fc0c:e00e:fff:ffff:ffff:ffff:ffff:ffff
226fc0c:e00e:1000::/36fc0c:e00e:1fff:ffff:ffff:ffff:ffff:ffff
227fc0c:e00e:2000::/36fc0c:e00e:2fff:ffff:ffff:ffff:ffff:ffff
228fc0c:e00e:3000::/36fc0c:e00e:3fff:ffff:ffff:ffff:ffff:ffff
229fc0c:e00e:4000::/36fc0c:e00e:4fff:ffff:ffff:ffff:ffff:ffff
230fc0c:e00e:5000::/36fc0c:e00e:5fff:ffff:ffff:ffff:ffff:ffff
231fc0c:e00e:6000::/36fc0c:e00e:6fff:ffff:ffff:ffff:ffff:ffff
232fc0c:e00e:7000::/36fc0c:e00e:7fff:ffff:ffff:ffff:ffff:ffff
233fc0c:e00e:8000::/36fc0c:e00e:8fff:ffff:ffff:ffff:ffff:ffff
234fc0c:e00e:9000::/36fc0c:e00e:9fff:ffff:ffff:ffff:ffff:ffff
235fc0c:e00e:a000::/36fc0c:e00e:afff:ffff:ffff:ffff:ffff:ffff
236fc0c:e00e:b000::/36fc0c:e00e:bfff:ffff:ffff:ffff:ffff:ffff
237fc0c:e00e:c000::/36fc0c:e00e:cfff:ffff:ffff:ffff:ffff:ffff
238fc0c:e00e:d000::/36fc0c:e00e:dfff:ffff:ffff:ffff:ffff:ffff
239fc0c:e00e:e000::/36fc0c:e00e:efff:ffff:ffff:ffff:ffff:ffff
240fc0c:e00e:f000::/36fc0c:e00e:ffff:ffff:ffff:ffff:ffff:ffff
241fc0c:e00f::/36fc0c:e00f:fff:ffff:ffff:ffff:ffff:ffff
242fc0c:e00f:1000::/36fc0c:e00f:1fff:ffff:ffff:ffff:ffff:ffff
243fc0c:e00f:2000::/36fc0c:e00f:2fff:ffff:ffff:ffff:ffff:ffff
244fc0c:e00f:3000::/36fc0c:e00f:3fff:ffff:ffff:ffff:ffff:ffff
245fc0c:e00f:4000::/36fc0c:e00f:4fff:ffff:ffff:ffff:ffff:ffff
246fc0c:e00f:5000::/36fc0c:e00f:5fff:ffff:ffff:ffff:ffff:ffff
247fc0c:e00f:6000::/36fc0c:e00f:6fff:ffff:ffff:ffff:ffff:ffff
248fc0c:e00f:7000::/36fc0c:e00f:7fff:ffff:ffff:ffff:ffff:ffff
249fc0c:e00f:8000::/36fc0c:e00f:8fff:ffff:ffff:ffff:ffff:ffff
250fc0c:e00f:9000::/36fc0c:e00f:9fff:ffff:ffff:ffff:ffff:ffff
251fc0c:e00f:a000::/36fc0c:e00f:afff:ffff:ffff:ffff:ffff:ffff
252fc0c:e00f:b000::/36fc0c:e00f:bfff:ffff:ffff:ffff:ffff:ffff
253fc0c:e00f:c000::/36fc0c:e00f:cfff:ffff:ffff:ffff:ffff:ffff
254fc0c:e00f:d000::/36fc0c:e00f:dfff:ffff:ffff:ffff:ffff:ffff
255fc0c:e00f:e000::/36fc0c:e00f:efff:ffff:ffff:ffff:ffff:ffff
256fc0c:e00f:f000::/36fc0c:e00f:ffff:ffff:ffff:ffff:ffff:ffff

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses